org.eclipse.actf.model.flash

## Class FlashPlayerFactory

- java.lang.Object
- - org.eclipse.actf.model.flash.FlashPlayerFactory

    public class FlashPlayerFactory
    extends Object

Factory class for `IFlashPlayer`

### Constructor Summary

Constructors
Constructor and Description
`FlashPlayerFactory()`

### Method Summary

Methods
`static IFlashPlayer` `getPlayerFromIDsipatch(IDispatch idisp)` Create `IFlashPlayer` instance from `IDispatch`
`static IFlashPlayer` `getPlayerFromObject(FlashMSAAObject accObject)` Create `IFlashPlayer` instance from `FlashMSAAObject`
`static IFlashPlayer` `getPlayerFromPtr(int ptr)` Create `IFlashPlayer` instance from pointer
`static IFlashPlayer` `getPlayerFromWindow(int hwnd)` Create `IFlashPlayer` instance from window

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlashPlayerFactory

    public FlashPlayerFactory()

### Method Detail

#### getPlayerFromPtr

    public static IFlashPlayer getPlayerFromPtr(int ptr)

Create `IFlashPlayer` instance from pointer

Parameters:
  `ptr` - target pointer
Returns:
  `IFlashPlayer` instance or null if not available

#### getPlayerFromWindow

    public static IFlashPlayer getPlayerFromWindow(int hwnd)

Create `IFlashPlayer` instance from window

Parameters:
  `hwnd` - target window handle
Returns:
  `IFlashPlayer` instance or null if not available

#### getPlayerFromObject

    public static IFlashPlayer getPlayerFromObject(FlashMSAAObject accObject)

Create `IFlashPlayer` instance from `FlashMSAAObject`

Parameters:
  `accObject` - target `FlashMSAAObject`
Returns:
  `IFlashPlayer` instance or null if not available

#### getPlayerFromIDsipatch

    public static IFlashPlayer getPlayerFromIDsipatch(IDispatch idisp)

Create `IFlashPlayer` instance from `IDispatch`

Parameters:
  `idisp` - target `IDispatch`
Returns:
  `IFlashPlayer` instance or null if not available